/* ===========================
   VARIABLES
=========================== */

html,
body{
    overflow-x:hidden;
}

:root{
    --primary:#00b4f0;
    --dark:#07111f;
    --dark2:#0d1b2a;
    --light:#ffffff;
    --gray:#f5f7fb;
    --text:#444;
}


*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    scroll-behavior:smooth;
    color: white;
}


body{

    font-family:'Poppins',sans-serif;
    color:var(--text);
    overflow-x:hidden;

}


img{

    width:100%;
    display:block;

}


a{

    text-decoration:none;
    color:inherit;

}


.container{

    width:90%;
    max-width:1200px;
    margin:auto;

}


h2{

    font-size:40px;
    text-align:center;
    color:#00b4f0;
    margin-bottom:50px;
    font-weight:700;
    margin-top: 50px;

}




/* ===========================
HEADER
=========================== */


.header{

    position:absolute;
    top:0;
    left:0;
    width:100%;
    z-index:1000;
    transition:.4s;
    background:transparent;


}

.navbar{

    width:90%;
    max-width:1200px;
    margin:auto;

    display:flex;
    align-items:center;
    justify-content:space-between;

    padding:20px 0;

}


.logo img{

    width:150px;

}



.menu{

    display:flex;
    gap:35px;
    list-style:none;
    align-items: center;

}



.menu a{

    color:white;
    font-weight:500;
    transition:.3s;

}



.menu a:hover{

    color:var(--primary);

}



.menu-mobile{

    display:none;
    color:white;
    font-size:25px;

}







/* ===========================
 HERO
=========================== */


.hero{

    height:100vh;
    position:relative;
    padding:0;

}

.heroSlider{

    height:100vh;

}


/*OLA ANIMACION*/
.hero-waves{

    position:absolute;
    bottom:0;
    left:0;
    width:100%;
    height:120px;
    z-index:20;

}

.hero .wave1 use{

    animation:move-forever1 10s linear infinite;
    animation-delay:-2s;
    fill:#00b4f0;
    opacity:.6;

}

.hero .wave2 use{

    animation:move-forever2 8s linear infinite;
    animation-delay:-2s;
    fill:#00b4f0;
    opacity:.4;

}

.hero .wave3 use{

    animation:move-forever3 6s linear infinite;
    animation-delay:-2s;
    fill:#000000;

}

@keyframes move-forever1 {
    0% { transform: translateX(85px); }
    100% { transform: translateX(-90px); }
}

@keyframes move-forever2 {
    0% { transform: translateX(-90px); }
    100% { transform: translateX(85px); }
}

@keyframes move-forever3 {
    0% { transform: translateX(85px); }
    100% { transform: translateX(-90px); }
}

/*OLA ANIMACION FIN*/

.header.scrolled{

    position:fixed;

    background:rgba(7,17,31,.95);

    backdrop-filter:blur(10px);

}



.swiper,
.swiper-slide{

    width:100%;
    height:100%;

}



.swiper-slide{

    position:relative;

}



.swiper-slide img{

    width:100%;
    height:100%;
    object-fit:cover;

    transform:scale(1.18);
    transition:transform 8s ease, filter 1s ease;

    filter:brightness(.75);
}


.swiper-slide-active img{
    transform:scale(1);
    filter:brightness(1);
}


.hero-overlay{

    position:absolute;
    inset:0;

    background: linear-gradient(90deg, rgb(0 0 0 / 0%), rgba(0, 0, 0, .3));

}



.hero-content{

    position:absolute;
    top:50%;
    left:8%;
    transform:translateY(-50%);
    color:white;
    max-width:650px;

}



.hero-content h1{

    font-size:60px;
    line-height:1.1;
    font-weight:800;

}



.hero-content span{

    color:#00b4f0;

}



.hero-content p{

    font-size:20px;
    margin:25px 0;

}



.btn,
.btn-outline{

    display:inline-block;
    padding:15px 35px;
    border-radius:50px;
    margin-right:15px;
    transition:.3s;

}



.btn{

    background:#00b4f0;
    color:white;

}



.btn:hover{

    transform:translateY(-5px);

}



.btn-outline{

    border:2px solid white;
    color:white;

}



.btn-outline:hover{

    background:white;
    color:#000;

}







/* ===========================
SECCIONES
=========================== */


section{

    padding: 90px 0;

}



.bienvenida{

    position:relative;
    overflow:hidden;

    background:
    linear-gradient(rgb(0 0 0), rgb(0 0 0)),
    url("");

    background-size:cover;
    background-position:center;
    background-repeat:no-repeat;

    text-align:center;

}



.bienvenida p{

    max-width:700px;
    margin:auto;
    font-size:18px;

}



.network{

    position:absolute;
    top:0;
    left:0;

    width:100%;
    height:100%;

    z-index:0;

}


.bienvenida .container{

    position:relative;
    z-index:2;

}






/* ===========================
NOSOTROS
=========================== */

.nosotros{

    position:relative;

    background:linear-gradient(to bottom, #000000 24%, #000000 26%, #000000 81%, #ffffff 100%);

}

.section-waves{

    display:block;
    width:100%;
    height:120px;
    margin-top:-1px;

}

.nosotros .wave1 use{

    animation:move-forever1 10s linear infinite;
    animation-delay:-2s;
    fill:#00b4f0;
    opacity:.6;

}

.nosotros .wave2 use{

    animation:move-forever2 8s linear infinite;
    animation-delay:-2s;
    fill:#00b4f0;
    opacity:.4;

}

.nosotros .wave3 use{

    animation:move-forever3 6s linear infinite;
    animation-delay:-2s;
    fill:#000000;

}

/* Tu código */

.nosotros-content{

    display:grid;
    grid-template-columns:1fr 1fr;
    gap:0;
   /* align-items:center;*/

}

.nosotros-content img{

    border-radius:20px;

}

.nosotros h3{

    font-size:30px;
    margin-bottom:20px;
    color: white;

}

.img-nosotros{

    width:280px !important;
    height:auto;

}


.texto1{
    color:#ffffff;
}

.texto2{
    color:#ffffff;
}

.texto3{
    color:#ffffff;
}


.img-nosotros{

    width:350px;

    animation: flotando 5s ease-in-out infinite;

}


@keyframes flotando{

    0%{

        transform:translateY(0) rotate(0deg);

    }

    50%{

        transform:translateY(-18px) rotate(2deg);

    }

    100%{

        transform:translateY(0) rotate(0deg);

    }

}





.img-nosotros{

    animation:
    flotando 3s ease-in-out infinite,
    brillo 2s ease-in-out infinite;

}


@keyframes brillo{

    0%,100%{

        filter:
        drop-shadow(0 0 10px rgba(0,180,240,.3));

    }

    50%{

        filter:
        drop-shadow(0 0 35px rgba(0,180,240,.8));

    }

}




@media(max-width:768px){

    .nosotros-content{

        grid-template-columns:1fr;

    }


    .nosotros-content > div:first-child{

        display:flex;
        justify-content:center;
        align-items:center;

    }


    .img-nosotros{

        width:280px !important;

    }

}




/* ===========================
SERVICIOS
=========================== */


.servicios{
    background: linear-gradient(180deg, #ffffff 0%, #0092d0 100%);
    padding:0px 0px;
}

.cards{
    display:grid;
    grid-template-columns:repeat(3,1fr);
    gap:35px;
}

.card{
    position:relative;
    overflow:hidden;

    background:rgba(255,255,255,.85);
    backdrop-filter:blur(15px);

    padding:45px 35px;
    text-align:center;

    border-radius:25px;
    border:1px solid rgba(255,255,255,.4);

    box-shadow:
    0 15px 40px rgba(0,0,0,.08);

    transition:.45s ease;
}

/* Brillo superior */

.card::before{
    content:"";
    position:absolute;
    top:0;
    left:-120%;
    width:70%;
    height:100%;
    background:linear-gradient(
        120deg,
        transparent,
        rgba(255,255,255,.8),
        transparent
    );
    transition:.8s;
}

.card:hover::before{
    left:150%;
}

/* Borde luminoso */

.card::after{
    content:"";
    position:absolute;
    inset:0;
    border-radius:25px;
    padding:2px;
    background:linear-gradient(135deg,#0ea5e9,#2563eb,#7c3aed);
    -webkit-mask:
        linear-gradient(#fff 0 0) content-box,
        linear-gradient(#fff 0 0);
    -webkit-mask-composite:xor;
    mask-composite:exclude;
    opacity:0;
    transition:.4s;
}

.card:hover::after{
    opacity:1;
}

.card:hover{
    transform:translateY(-15px) scale(1.03);
    box-shadow:
    0 25px 60px rgba(37,99,235,.25);
}

.card i{
    width:80px;
    height:80px;

    display:flex;
    justify-content:center;
    align-items:center;

    margin:0 auto 25px;

    border-radius:65%;

    font-size:40px;

    background:linear-gradient(135deg,#0ea5e9,#2563eb);
    color:#fff;

    transition:.45s;
}

.card:hover i{
    transform:rotate(360deg) scale(1.12);
    box-shadow:0 15px 35px rgba(37,99,235,.45);
}

.card h3{
    font-size:1.5rem;
    margin-bottom:15px;

    color:#111827;

    transition:.35s;
}

.card:hover h3{
    color:#ffffff;
}

.card p{
    color:#6b7280;
    line-height:1.7;
    transition:.35s;
}

.card:hover p{
    color:#ffffff;
}

@media(max-width:992px){

.cards{
    grid-template-columns:1fr;
}

}

.serviciosSwiper{
    width:100%;
    overflow:visible;
    padding:60px 0;
}

.serviciosSwiper .swiper-wrapper{
    overflow:visible;
}

.serviciosSwiper .swiper-slide{
    width:350px;
    height:auto;
}


.serviciosSwiper .swiper-pagination-bullet{
    width:7px;
    height:7px;
    background:#000000;
    opacity:1;
}

.serviciosSwiper .swiper-pagination-bullet-active{
    background:#ffffff;
    transform:scale(1.3);
}






/* ===========================
 COMO TRABAJAMOS
=========================== */


.trabajamos{

    background:var(--dark);
    color:white;
    padding:80px 0;
    overflow:hidden;

}


.trabajamos h2{

    color:white;
    text-align:center;
    margin-bottom:50px;

}


.steps{

    display:flex;
    justify-content:space-around;
    text-align:center;

}


.step{

    opacity:0;
    transform:translateY(30px);
    transition:.8s ease;

}


.step.show{

    opacity:1;
    transform:translateY(0);

}


.step:nth-child(1){
    transition-delay:.1s;
}

.step:nth-child(2){
    transition-delay:.25s;
}

.step:nth-child(3){
    transition-delay:.4s;
}

.step:nth-child(4){
    transition-delay:.55s;
}



.number{

    display:block;
    font-size:55px;
    font-weight:900;
    color:var(--primary);
    line-height:1;
    transform:scale(0);
    transition:.4s cubic-bezier(.34,1.56,.64,1);

}


.step.show .number{

    transform:scale(1);

}


.step p{

    margin-top:15px;
    font-size:18px;
    font-weight:600;

}



/* ===========================
 ¿Por qué elegirnos?

=========================== */

.porque{

    position: relative;
    overflow: hidden;

    padding:120px 20px;

    background:#08131d;

    color:white;

}

.porque .container{

    max-width:1200px;
    margin:auto;
    position:relative;
    z-index:5;

}

.subtitulo{

    color:#00c8ff;

    letter-spacing:4px;

    font-size:.9rem;

    text-transform:uppercase;

}

.porque h2{

    font-size:3rem;

    margin:15px 0;

}

.descripcion{

    max-width:750px;

    color:#c5d2dd;

    line-height:1.7;

    margin-bottom:70px;

}

.radar{

    position:absolute;

    width:700px;

    height:700px;

    left:50%;

    top:50%;

    transform:translate(-50%,-50%);

    opacity:.18;

}

.circle{

    position:absolute;

    border:3px solid #fff;

    border-radius:50%;

}

.c1{

    width:220px;
    height:220px;

    left:240px;
    top:240px;

}

.c2{

    width:420px;
    height:420px;

    left:140px;
    top:140px;

}

.c3{

    width:620px;
    height:620px;

    left:40px;
    top:40px;

}

.scan{

    position:absolute;

    width:50%;

    height:4px;

    left:50%;

    top:50%;

    transform-origin:left center;

    background:#fff;

    animation:radarLinea 6s linear infinite;

    box-shadow:0 0 20px #fff;

}

@keyframes radarLinea{

    from{
        transform:rotate(0deg);
    }

    to{
        transform:rotate(360deg);
    }

}

.cards{

    display:grid;

    grid-template-columns:repeat(auto-fit,minmax(280px,1fr));

    gap:35px;

}

.card{

    background: transparent !important;

    backdrop-filter:blur(12px);

    border:1px solid rgba(255,255,255,.08);

    border-radius:25px;

    padding:45px 35px;

    transition:.5s;

    position:relative;

}

.card:hover{

    transform:translateY(-15px);

    border-color:#00d9ff;

    box-shadow:

    0 0 20px rgba(0,200,255,.35),

    0 0 60px rgba(0,200,255,.15);

}

.icon{

    width:85px;

    height:85px;

    border-radius:50%;

    background:rgba(0,200,255,.1);

    display:flex;

    justify-content:center;

    align-items:center;

    margin-bottom:25px;

    color:#00d9ff;

    font-size:2rem;

    border:1px solid rgba(0,200,255,.35);

}

.card h3{

    color:#ffffff;

    margin-bottom:15px;

    font-size:1.5rem;

}

.card p{

    color:#ffffff;

    line-height:1.8;

}







/* ===========================
 GALERIA
=========================== */


/* GALERIA */

.gallery{

    display:grid;
    grid-template-columns:repeat(4,1fr);
    gap:20px;

}


.gallery-item{

    overflow:hidden;
    border-radius:15px;
    cursor:pointer;

}


.gallery-img{

    width:100%;
    height:250px;
    object-fit:cover;
    border-radius:15px;
    transition:.3s;

}


.gallery-img:hover{

    transform:scale(1.05);

}




.ver-mas-container{
    margin-top:40px;
    display:flex;
    justify-content:center;
}

.ver-mas{

    background:none;
    border:none;
    color:#222;
    font-size:18px;
    font-weight:bold;
    display:flex;
    align-items:center;
    gap:15px;
    cursor:pointer;
    transition:.3s;
}

.ver-mas:hover{

    color:#00b4f0;

}

.ver-mas span{

    width:90px;
    height:2px;
    background:#cfcfcf;
    transition:.3s;

}

.ver-mas:hover span{

    background:#00b4f0;

}




/* LIGHTBOX */

.lightbox{

    display:none;
    position:fixed;
    z-index:9999;
    inset:0;
    background:rgba(0,0,0,.85);
    justify-content:center;
    align-items:center;

}


.lightbox-img{

    max-width:85%;
    max-height:85%;
    object-fit:contain;
    border-radius:15px;

}


/* BOTON CERRAR */

.close{

    position:absolute;
    top:25px;
    right:40px;
    color:white;
    font-size:50px;
    cursor:pointer;
    font-weight:bold;

}


.close:hover{

    color:#ddd;

}



/* FLECHAS */

.prev,
.next{

    position:absolute;
    top:50%;
    transform:translateY(-50%);
    background:transparent;
    border:none;
    color:white;
    font-size:55px;
    cursor:pointer;
    padding:20px;

}


.prev{

    left:30px;

}


.next{

    right:30px;

}


.prev:hover,
.next:hover{

    color:#ccc;

}



/* CONTENEDOR DE VIDEOS EN LA GALERÍA */
.gallery-item {
    overflow: hidden;
}

.gallery-video {
    width: 100%;
    height: 250px;
    object-fit: cover;
    display: block;
}


/* VIDEO DENTRO DEL LIGHTBOX */
.lightbox-video {
    max-width: 90vw;
    max-height: 90vh;
    width: auto;
    height: auto;
    object-fit: contain;
}



/* ANIMACION AL HACER SCROLL */

.reveal{

    opacity:0;
    transform:translateY(50px);
    transition:all .8s ease;

}


.reveal.active{

    opacity:1;
    transform:translateY(0);

}



/* RESPONSIVE */

@media(max-width:900px){

    .gallery{

        grid-template-columns:repeat(2,1fr);

    }

}


@media(max-width:600px){

    .gallery{

        grid-template-columns:1fr;

    }


    .lightbox-img{

        max-width:95%;
        max-height:70%;

    }


    .prev,
    .next{

        font-size:40px;

    }


    .close{

        right:20px;
        top:15px;

    }

}





/* ===========================
 MAPA
=========================== */


.mapa iframe{

    width:100%;
    height:400px;
    border:0;
    border-radius:20px;

}







/*==========================
        CLIENTES
==========================*/

.clientes{

    padding:10px 0;

}

.clientes h2{

    text-align:center;
    font-size:2.4rem;
    margin-bottom:50px;
    color:#fff;
    letter-spacing:1px;

}

.cliente{
    background:#03a9f4;
    color:#fff;
    border:none;
    padding:15px 35px;
    border-radius:40px;
    font-size:16px;
    font-weight:600;
    cursor:pointer;
}


/* Contenedor */

.clientes-slider {

    position:relative;
    overflow:hidden;

    width:100vw;
    margin-left:calc(50% - 50vw);

    padding:35px 0;

   /* border:1px solid rgba(255,255,255,.08);*/
    border-radius:0;

 /*   background:#00b4f0;*/

    /*box-shadow:
    0 10px 30px rgba(0,0,0,.25);*/
}


/* Degradado de los costados */

.clientes-slider::before,
.clientes-slider::after {
    width: 60px;
}

.clientes-slider::before{

    left:0;

    background:linear-gradient(to right,#161616,transparent);

}

.clientes-slider::after{

    right:0;

    background:linear-gradient(to left,#161616,transparent);

}


/* Carrusel */

.slide-track{

    display:flex;

    width:max-content;

    animation:clientes 32s linear infinite;

}


/* Pausa al pasar el mouse */

.clientes-slider:hover .slide-track{

    animation-play-state:paused;

}


/* Cápsulas */

/*.slide-track span{

    display:flex;

    align-items:center;
    justify-content:center;

    min-width:190px;

    margin:0 18px;

    padding:16px 30px;

    border-radius:50px;

    border:1px solid rgba(255,255,255,.12);

    background:rgba(255,255,255,.03);

    color:#00b4f0;

    font-size:1rem;

    font-weight:600;

    letter-spacing:2px;

    text-transform:uppercase;

    transition:.35s;

    cursor:default;

}


/* Hover */

/*.slide-track span:hover{

    transform:translateY(-5px);

    background:#ffffff;

    color:#111;

    border-color:#d7b36b;

    box-shadow:
    0 10px 25px rgba(215,179,107,.35);

} */



/* Logos */

.slide-track img {

    width:160px;
    height:80px;

    object-fit:contain;

    margin:0 35px;

    flex-shrink:0;

    transition:.35s;

    cursor:default;

}

/* Hover */

.slide-track img:hover {

    transform:scale(1.08);

    filter:brightness(1.15);

}


/* Animación */

@keyframes clientes{

    from{

        transform:translateX(0);

    }

    to{

        transform:translateX(-50%);

    }

}






.section-divider{
    width:100%;
    height:100px;
    position:relative;
    margin:50px 0;
}

.section-divider::before{
    content:"";
    position:absolute;
    top:50%;
    left:50%;
    transform:translate(-50%,-50%);
    width:220px;
    height:3px;
    border-radius:50px;
    display: none;
    background:linear-gradient(90deg,#00b4f0,#003b7a,#00b4f0);
}

.section-divider::after{
    content:"";
    position:absolute;
    top:50%;
    left:50%;
    transform:translate(-50%,-50%);
    width:46px;
    height:46px;
    border:2px solid #00b4f0;
    border-radius:50%;
    background:
        radial-gradient(circle, rgba(0,180,240,.35) 0%, transparent 60%);
    box-shadow:
        0 0 12px rgba(0,180,240,.6),
        inset 0 0 10px rgba(0,180,240,.3);
}



.section-divider::after{
    content:"";
    position:absolute;
    top:50%;
    left:50%;
    transform:translate(-50%,-50%);
    width:150px;
    height:150px;
    border:2px solid #00b4f0;
    border-radius:50%;
    overflow:hidden;
}

.section-divider::after{
    background:
        conic-gradient(
            from 0deg,
            transparent 0deg,
            transparent 320deg,
            rgba(0,180,240,.9) 350deg,
            rgba(0,180,240,.2) 360deg
        );
    animation: radar 2.5s linear infinite;
    box-shadow:
        0 0 15px rgba(0,180,240,.6),
        inset 0 0 12px rgba(0,180,240,.3);
}

@keyframes radar{
    from{
        transform:translate(-50%,-50%) rotate(0deg);
    }
    to{
        transform:translate(-50%,-50%) rotate(360deg);
    }
}

/* Responsive */

@media(max-width:768px){

    .clientes{

        padding:70px 0;

    }

    .clientes h2{

        font-size:1.9rem;

    }

    .slide-track img {

    width:120px;
    height:65px;

    margin:0 20px;

}

}






/* ===========================
 FAQ
=========================== */


.faq{

    padding:100px 0;
    background:#f7f9fc;

}

.faq-header{

    text-align:center;
    margin-bottom:50px;

}

.faq-header h2{

    font-size:42px;
    color:#1b1b1b;
    margin-bottom:15px;

}

.faq-header p{

    color:#666;
    max-width:650px;
    margin:auto;
    line-height:1.8;

}

.faq-item{

    background:#fff;
    border-radius:12px;
    overflow:hidden;
    margin-bottom:18px;
    box-shadow:0 10px 30px rgba(0,0,0,.08);

}

.faq-question{

    width:100%;
    padding:22px 30px;
    border:none;
    background:white;
    display:flex;
    justify-content:space-between;
    align-items:center;
    cursor:pointer;
    font-size:18px;
    font-weight:600;
    color:#000;
    transition:.3s;

}

.faq-question:hover{

    background:#f2f8ff;

}

.faq-icon{

    font-size:30px;
    color:#00b4f0;
    transition:.3s;
    font-weight:300;

}

.faq-answer{

    max-height:0;
    overflow:hidden;
    transition:max-height .4s ease;
    background:white;

}

.faq-answer p{

    padding:0 30px 25px;
    color:#555;
    line-height:1.8;
    margin: 15px;

}

.faq-item.active .faq-answer{

    max-height:300px;

}

.faq-item.active .icon{

    transform:rotate(45deg);

}

.faq-question span:first-child{

    color:#000 !important;

}






/* ===========================
 CONTACTO
=========================== */


/*==================================
FORMULARIO DE ALARMAS - CONTACTO
==================================*/

.contacto .formulario{

    width:100%;
    background:rgba(30,30,30,.95);
    border-radius:30px;
    padding:35px;
    color:#fff;
    backdrop-filter:blur(10px);

}

.contacto .formulario h2{

    font-size:40px;
    margin-bottom:10px;
    font-weight:800;

}

.contacto .formulario p{

    color:#ddd;
    margin-bottom:25px;

}

.contacto .formulario input{

    width:100%;
    height:60px;
    border:none;
    border-radius:10px;
    margin-bottom:18px;
    padding:0 20px;
    font-size:18px;
    outline:none;
    color: #000000;

}



.servicios2 {
    width: 100%;
    margin-bottom: 20px;
    background: #292929;
}

.titulo-servicios {
    display: block;
    margin-bottom: 12px;
    font-weight: 600;
    color: #ffffff;
    background: #282828;
}

.servicios-grid {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 10px;
}

.servicio-item {
    position: relative;
    display: flex;
    align-items: center;
    gap: 10px;
    padding: 13px 15px;
    border: 1px solid #ddd;
    border-radius: 12px;
    background: #fff;
    cursor: pointer;
    transition: all 0.2s ease;
    font-size: 14px;
    color: #000 !important;
}

.servicio-item span:not(.servicio-icono) {
    color: #000 !important;
}

.servicio-item:hover {
    border-color: #f2c400;
    transform: translateY(-1px);
}

.servicio-item input {
    position: absolute;
    opacity: 0;
    pointer-events: none;
}

.servicio-icono {
    font-size: 20px;
}

.servicio-item:has(input:checked) {
    border-color: #f2c400;
    background: #fffbea;
    box-shadow: 0 0 0 2px rgba(242, 196, 0, 0.12);
}

.servicio-item:has(input:checked)::after {
    content: "✓";
    margin-left: auto;
    font-weight: bold;
    color: #d4a900;
}

/*=========================
SWITCH
=========================*/

.contacto .switch{

    position:relative;
    display:flex;
    align-items:center;
    width:100%;
    height:60px;
    background:#555;
    border-radius:50px;
    overflow:hidden;
    margin-bottom:20px;

}

.contacto .switch input{

    display:none;

}

.contacto .selector{

    position:absolute;
    top:4px;
    left:4px;
    width:calc(50% - 4px);
    height:calc(100% - 8px);
    background:#00b4f0;
    border-radius:50px;
    transition:.35s;
    z-index:1;

}

.contacto .switch label{

    flex:1;
    display:flex;
    justify-content:center;
    align-items:center;
    cursor:pointer;
    color:#fff;
    font-weight:600;
    z-index:2;
    transition:.3s;

}

.contacto #telefono:checked ~ .selector{

    transform:translateX(100%);

}

.contacto #celular:checked ~ label[for="celular"]{

    color:#000;

}

.contacto #telefono:checked ~ label[for="telefono"]{

    color:#000;

}

/*=========================
TELÉFONO
=========================*/

.contacto .telefono{

    display:flex;
    gap:10px;

}

.contacto .telefono select{

    width:190px;
    height:60px;
    border:none;
    border-radius:10px;
    padding:0 15px;
    font-size:16px;
    outline:none;
    color: black;

}

.contacto .telefono select option{

    color:black;
    background:white;

}

.contacto .telefono input{

    flex:1;
    margin-bottom:0;

}

/*=========================
CHECK
=========================*/

.contacto .check{

    display:flex;
    align-items:center;
    gap:10px;
    margin:20px 0;
    font-size:15px;

}

.contacto .check input{

    width:18px;
    height:18px;
    margin:0;

}

.contacto .check a{
    color:#00b4f0;
    font-weight:600;
    text-decoration:underline;
}

/*=========================
BOTONES
=========================*/

.contacto .amarillo{

    width:100%;
    height:65px;
    border:none;
    background:#00b4f0;
    color:#000;
    border-radius:40px;
    font-size:24px;
    font-weight:700;
    cursor:pointer;
    margin-bottom:18px;
    margin-top: 15px;

}

.contacto .verde{

    width:100%;
    height:65px;
    border:none;
    background:#24d366;
    color:#fff;
    border-radius:40px;
    font-size:22px;
    font-weight:700;
    cursor:pointer;

}

.contacto .amarillo:hover,
.contacto .verde:hover{

    opacity:.9;

}

/*=========================
RESPONSIVE
=========================*/

@media(max-width:600px){

    .contacto .formulario{

        padding:25px;

    }

    .contacto .formulario h2{

        font-size:30px;

    }

    .contacto .telefono{

        flex-direction:column;

    }

    .contacto .telefono select{

        width:100%;
        height:60px;

    }

    .contacto .telefono input{

        width:100%;
        height:60px;
        flex:none;
        margin-bottom:18px;

    }

    .contacto .amarillo,
    .contacto .verde{

        height:58px;
        font-size:18px;

    }

}






/* ===========================
 FOOTER
=========================== */


footer{

    background:var(--dark);
    color:white;
    padding:60px 5% 20px;

}



.footer-grid{

    display:grid;
    grid-template-columns:repeat(4,1fr);
    gap:30px;

}



.footer-grid img{

    width:150px;

}



.footer-grid a{

    display:block;
    margin:10px 0;
    color:#ccc;

}



.footer-bottom{

    border-top:1px solid #333;
    margin-top:40px;
    padding-top:20px;
    text-align:center;

}



.social{

    font-size:25px;
    margin-bottom:20px;

}



.social i{

    margin:0 10px;

}


.social a{
    color:white;
    text-decoration:none;
}
 






/* ===========================
BOTONES FLOTANTES
=========================== */



.top{

    position:fixed;
    right:10px;
    width:45px;
    height:45px;
    border-radius:30%;
    display:flex;
    justify-content:center;
    align-items:center;
    color:white;
    font-size:20px;
    z-index:999;

}


 



.top{

    bottom:72px;
    background:var(--primary);

}




.contact-grid{

    display:grid;
    grid-template-columns:1fr 1fr;
    gap:50px;
    align-items:start;

}



.play-float {
    position: fixed;
    right: 3px;
    bottom: 144px;
    width: 55px;
    height: 55px;
    background: white;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0 6px 20px rgba(0,0,0,0.25);
    z-index: 9999;
    transition: transform 0.3s ease;
}

.play-float:hover {
    transform: scale(1.1);
}

.play-float img {
    width: 35px;
    height: 35px;
    object-fit: contain;
}


/* ===========================
RESPONSIVE
=========================== */


@media(max-width:900px){


.menu{

    display:none;

}


.menu-mobile{

    display:block;

}


.hero-content h1{

    font-size:40px;

}


.cards{

    grid-template-columns:1fr;

}


.nosotros-content,
.contact-grid{

    grid-template-columns:1fr;

}


.gallery{

    grid-template-columns:repeat(2,1fr);

}


.footer-grid{

    grid-template-columns:1fr 1fr;

}



.steps{

    flex-direction:column;
    gap:40px;

}


}


.footer-grid a{
    display:block;
    margin:10px 0;
    color:#ccc;

    word-break: break-word;
    overflow-wrap: break-word;
}





@media(max-width:500px){


.gallery{

    grid-template-columns:1fr;

}


.hero-content{

    left:5%;
    right:5%;

}



.hero-content h1{

    font-size:32px;

}


.btn,
.btn-outline{

    display:block;
    margin:10px 0;

}


}


.menu.active{

    display:flex;
    position:absolute;
    top:80px;
    left:0;
    width:100%;
    background:#07111f;
    flex-direction:column;
    text-align:center;
    padding:30px;

}


.hero-content{

    position:absolute;
    top:50%;
    left:8%;

    opacity:0;

    transform:translateY(calc(-50% + 40px));

    transition:1.8s cubic-bezier(0.22,1,0.36,1);

}


.hero-content.show{

    opacity:1;

    transform:translateY(-50%);

}


/*GUIA*/
@media (max-width:768px){

    .nosotros-content{
        text-align:center;
    }

    .img-nosotros{
        margin-bottom:30px;
    }

    .img-nosotros::after{
        display:none;
    }

    .nosotros-content div:first-child::after{
        content:"";
        display:block;
       /* width:80px;*/
        height:4px;
       /* margin:29px auto 22px; */
        border-radius:50px;
        background:linear-gradient(90deg,#00b4f0,#003b64);
    }

}

/*BARRA DE CONTACTO INFERIOR*/
/*=========================
BARRA COTIZACION FLOTANTE
=========================*/

.barra-cotizacion{

    position:fixed;

    bottom:0px;

    left:50%;

    transform:translateX(-50%) translateY(120px);

    width:100%;

  /* max-width:900px;*/

    background: rgba(7, 17, 31, .95);

    color:white;

    padding:10px 10px;

  /*  border-radius:20px;*/

    display:flex;

    justify-content:space-between;

    align-items:center;

    gap:20px;

    box-shadow:0 10px 30px rgba(0,0,0,.3);

    z-index:9999;

    opacity:0;

    transition:.4s ease;

}


.barra-cotizacion.activa{

    transform:translateX(-50%) translateY(0);

    opacity:1;

}


.texto-cotizacion{

    font-size:15px;

}


.botones-cotizacion{

    display:flex;

    gap:15px;

}


.botones-cotizacion a{

    text-decoration:none;

    padding:10px 15px;

    border-radius:50px;

    font-weight:700;

    display:flex;

    align-items:center;

    justify-content:center;

    gap:10px;

}

.btn-whatsapp{

    background:#24d366;

    color:white;

}


.btn-llamada{

    background:#00b4f0;

    color:#000;

}


/* MOVIL */

@media(max-width:700px){

    .botones-cotizacion{

        flex-direction:row;
        justify-content:center;
        gap:15px;

    }


    .botones-cotizacion a{

        width:45px;
        height:45px;

        padding:0;

        border-radius:50%;

        display:flex;

        justify-content:center;
        align-items:center;
        gap:0px;


    }


    .botones-cotizacion a i{

        font-size:20px;

    }


    /* Ocultar texto */

    .botones-cotizacion a{

        font-size:0;

    }

}


/*REDES SOCIALES LATERAL*/

.social-menu{
    position: fixed;
    right: 0px;          /* Antes left:0 */
    top: 35%;             /* Más arriba */
    transform: translateY(-50%);
    z-index: 9999;
}

#toggleSocial{
    width: 40px;
    height: 40px;
    border: none;
    cursor: pointer;
    border-radius: 15px 0 0 15px; /* Redondeado hacia la izquierda */
    background: #00b4f0;
    color: #fff;
    font-size: 16px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 115px;
}

.social-links{
    display: flex;
    flex-direction: column;
    gap: 12px;

    position: absolute;
    right: -70px;     /* Oculto detrás del botón */
    top: 45px;

    transition: .35s ease;
}

.social-links.active{
    right: 2px;       /* Se despliega */
}

.social-links a{
    width: 35px;
    height: 35px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;
    color: #fff;
    font-size: 22px;
    transition: .3s;
    box-shadow: 0 8px 18px rgba(0,0,0,.25);
}

.social-links a:nth-child(1){background:#25D366;}
.social-links a:nth-child(2){background:#E4405F;}
.social-links a:nth-child(3){background:#1877F2;}
.social-links a:nth-child(4){background:#0A66C2;}

.social-links a:hover{
    transform: scale(1.12);
}


/*QR FISCALES*/
.cuit-datafiscal {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 35px;
    width: 100%;
}

.data-fiscal {
    width: 60px !important;
    height: auto !important;
    display: block;
}

.footer-legal {
    text-align: left;
}


/* 📱 CELULAR */

@media (max-width: 600px) {

    .cuit-datafiscal {
        gap: 20px;
        align-items: center;
    }

    .data-fiscal {
        width: 60px !important;
    }

    .footer-legal {
        text-align: left;
        font-size: 13px;
    }

}